package com.zaojiao.app.data.repo

import com.zaojiao.app.data.model.UserModel
import com.zaojiao.app.data.remote.RemoteUserData
import kotlinx.coroutines.coroutineScope
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.flow
import javax.inject.Inject


class UserRepositoryImpl @Inject constructor(
    private val remoteUserData: RemoteUserData,
) : UserRepository {
    override fun getUser(): Flow<UserModel?> = flow {
        emit(null)
        coroutineScope {
            emit(remoteUserData.getUser())
        }
    }


    override suspend fun getBaby() {
        TODO("Not yet implemented")
    }

    override suspend fun getPhone() {
        TODO("Not yet implemented")
    }

    override suspend fun getWechat() {
        TODO("Not yet implemented")
    }
}